mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IEnumerator System.Runtime.InteropServices.ComVisible(true)

The current class is a standard enumerator that parses over the values stored in . Instead of recording the values, the keeps pointers to the member variables of the that created it.

This class follows the mechanism.

Provides a formatter-friendly mechanism for parsing the data in . This class cannot be inherited.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.SerializationEntry To be added: an object of type 'SerializationEntry' To be added

  Gets the item currently being examined.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  To initialize the enumerator, call and go through each item until you reach the last element.

  Updates the enumerator to the next item.

  true if a new element is found; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name for the item currently being examined.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the type of the item currently being examined.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  After calling this method, the property will contain the first item in the current set of elements.

  Resets the enumerator to the first item.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets the current item in the collection.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object' To be added

  Gets the value of the item currently being examined.